# vim: set sw=4 ts=4 et nu:
#
# spec file for package perl-LWP-Authen-Negotiate
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           perl-LWP-Authen-Negotiate
Version:        0.08
Release:        1.1
Summary:        GSSAPI based Authentication Plugin for LWP
License:        GPL-2.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/A/AG/AGROLMS/LWP-Authen-Negotiate-%{version}.tar.gz
Url:            http://search.cpan.org/dist/LWP-Authen-Negotiate
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  make
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(GSSAPI) >= 0.18
BuildRequires:  perl(LWP::Debug)
BuildRequires:  perl(MIME::Base64) >= 2.12
Requires:       perl(GSSAPI) >= 0.18
Requires:       perl(LWP::Debug)
Requires:       perl(MIME::Base64) >= 2.12
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
Just install LWP::Authen::Negotiate, LWP uses it as authentication plugin. Use
your LWP::UserAgent Scripts as usual. Authentication is done transparent based
on your GSSAPI installation (MIT Kerberos or Heimdal).

%prep
%setup -q -n "LWP-Authen-Negotiate-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?_smp_flags}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/LWP
%dir %{perl_vendorlib}/LWP/Authen
%{perl_vendorlib}/LWP/Authen/Negotiate.pm
%dir %{perl_vendorlib}/auto/LWP
%dir %{perl_vendorlib}/auto/LWP/Authen
%{perl_vendorlib}/auto/LWP/Authen/Negotiate
%doc %{perl_man3dir}/LWP::Authen::Negotiate.%{perl_man3ext}%{ext_man}

%changelog
* Fri Jul 12 2013 pascal.bleser@opensuse.org
- initial version (0.08)
